EVENT_REGISTER_EVENT_FUNC(3)

EXPERIMENTAL_FUNC
event_register_event_func - Register event callback.

SYNOPSIS
#include <karma_event.h>

KCallbackFunc event_register_event_func

(flag (*func) (), void *f_info)

DESCRIPTION
Register event callback.

func
    The function that is called when a position event occurs. The prototype function is <-event_PROTO_event_func->.

f_info
    The initial arbitrary function information pointer.

RETURN VALUE
A handle to a KCallbackFunc object.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/